Packages - Bug #3148

[cura-binary-data] not built from source
2021-12-20 02:28 AM - gap

Status: fixed % Done: 0%
Priority: freedom issue

Assignee: GNUtoo

Category:

Description

Binaries may not be reproducible and it may be extremely difficult to tell if they have been made malicious.

History

#1 - 2022-02-22 04:56 PM - GNUtoo

- Priority changed from bug to freedom issue

- Status changed from unconfirmed to confirmed
Good catch.

While the license is GPLv3 or AGPLV3 it's a big issue if we redistribute the packages without redistributing the complete and corresponding source
code.

So it's indeed probably better to remove it.

#2 - 2022-02-22 05:03 PM - GNUtoo
- Assignee set to GNUtoo

#3 - 2022-02-22 05:05 PM - GNUtoo

- Status changed from confirmed to fixed

It should now be fixed: https:/git.parabola.nu/blacklist.git/commit/?id=33c48febacfdb1dd43c24a581{847ee1cad632d9

Denis.

#4 - 2022-02-23 08:39 AM - gap

I think this bug should go upstream; the code is libre and can be built from source.

https://github.com/Ultimaker/cura-binary-data/blob/master/cura/resources/firmware/Attribution.txt

https://github.com/Ultimaker/Marlin

h ://github.com/Ultimaker, retMarlin

https://github.com/bg/Marlin
